gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Opaque A type to represent data that's selected as part of a drag-and-drop or clipboard operation.
- Constructor
  2.12.0.0
  a , pointer to the underlying C data.
  Constructor.
- Method
  2.12.0.0
  Gtk.SelectionData Copy the object by value. a
- Property
  2.12.0.0
  System.Byte[] The data as a sequence of bytes. a
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Property
  2.12.0.0
  System.Int32 The unit length of the data in bits. a On most systems, this is 8 for a string and 32 for an integer.
- Method
  2.12.0.0
  System.Obsolete("Gtk.SelectionData is now freed automatically")
  System.Void Releases memory that was used by this object.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.Int32 The length of the selected data. a
- Property
  2.12.0.0
  Gdk.Pixbuf To be added a To be added
- Property
  2.12.0.0
  Gdk.Atom The selected data. a
- Method
  2.12.0.0
  System.Void `` `` `` type of selection data (expressed via a ) format (number of bits in a unit) - set this to 8 and encode your data as UTF-8 a array containing the data to send to this selection object - use .GetBytes(string) to encode string data as UTF-8 before passing it here Stores new data into this object. Should only be called from a selection handler callback.
- Method
  2.12.0.0
  System.Void `` `` `` `` type of selection data (expressed via a ) format (number of bits in a unit) - set this to 8 and encode your data as UTF-8 a array containing the data to send to this selection object - use .GetBytes(string) to encode string data as UTF-8 before passing it here length of the data in bytes Stores new data into this object. Should only be called from a selection handler callback. The version auto-calculates the length for you.
- Method
  2.12.0.0
  System.Boolean `` a To be added a To be added
- Method
  2.12.0.0
  System.Boolean `` a To be added a To be added
- Property
  2.12.0.0
  Gdk.Atom The type of target being used. a XXX: Add a list of useful strings for target types.
- Property
  2.12.0.0
  Gdk.Atom[] Gets the selection data as an array of targets. a
- Method
  2.12.0.0
  System.Boolean `` a To be added a To be added
- Method
  2.12.0.0
  System.Boolean `` To be added. Indicates if any targets provide rich text. .
- Method
  2.12.0.0
  System.Boolean Assuming that this selection data object holds a list of targets, determines if any of the targets in can be used to provide text. a
- Method
  2.12.0.0
  System.Boolean Indicates if any targets provide a URI list. a .
- Property
  2.12.0.0
  System.String The text stored in the selection. A .
- Property
  2.12.0.0
  Gdk.Atom The type of selection data a XXX: elaborate on the possible values here.
- Property
  2.12.0.0
  System.String To be added a To be added